## ucar.multiarray
Class SliceMap

    java.lang.Object
      ucar.multiarray.ConcreteIndexMap
          ucar.multiarray.SliceMap

All Implemented Interfaces:
  IndexMap

public class SliceMap
extends ConcreteIndexMap

Use with MultiArrayProxy to reduce the apparent rank of the delegate by fixing an index at particular value.

See Also:
  `IndexMap`, `MultiArrayProxy`

Nested Class Summary

Nested classes inherited from class ucar.multiarray.ConcreteIndexMap
`ConcreteIndexMap.ZZMap`

Field Summary

Fields inherited from class ucar.multiarray.ConcreteIndexMap
`iMap_, lengthsMap_`

Constructor Summary
`SliceMap(ConcreteIndexMap prev, int position, int value)` Create an ConcreteIndexMap which fixes the key for a particular dimension at a particular value and is functionally composed with another ConcreteIndexMap.
`SliceMap(int position, int value)` Create an ConcreteIndexMap which fixes the key for a particular dimension at a particular value.

Method Summary
`static void` `main(String[] args)`

Methods inherited from class ucar.multiarray.ConcreteIndexMap
`getLengths, getOutputLength, getRank, getTransformed, init, init, link, link, setInput, setLengths, toString, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SliceMap

    public SliceMap(int position,
                    int value)

  Create an ConcreteIndexMap which fixes the key for a particular dimension at a particular value.

Parameters:
  `position` - the dimension number on which to fix the key.
  `value` - the value at which to fix the key.

### SliceMap

    public SliceMap(ConcreteIndexMap prev,
                    int position,
                    int value)

  Create an ConcreteIndexMap which fixes the key for a particular dimension at a particular value and is functionally composed with another ConcreteIndexMap.

Parameters:
  `prev` - ConcreteIndexMap to be composed with this.
  `position` - the dimension number on which to fix the key.
  `value` - the value at which to fix the key.

Method Detail

### main

    public static void main(String[] args)